javax.jcr

## Class InvalidItemStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jcr.RepositoryException
      - - javax.jcr.InvalidItemStateException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidItemStateException
    extends RepositoryException

Exception thrown by the write methods of `Node` and `Property` and by save and refresh if an attempted change would conflict with a change to the persistent workspace made through another `Session`. Also thrown by methods of `Node` and `Property` if that object represents an item that has been removed from the workspace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidItemStateException()` Constructs a new instance of this class with `null` as its detail message.
`InvalidItemStateException(java.lang.String message)` Constructs a new instance of this class with the specified detail message.
`InvalidItemStateException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
`InvalidItemStateException(java.lang.Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

### Method Summary

### Methods inherited from class javax.jcr.RepositoryException

`getCause, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidItemStateException

    public InvalidItemStateException()

Constructs a new instance of this class with `null` as its detail message.

#### InvalidItemStateException

    public InvalidItemStateException(java.lang.String message)

Constructs a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.

#### InvalidItemStateException

    public InvalidItemStateException(java.lang.String message,
                                     java.lang.Throwable rootCause)

Constructs a new instance of this class with the specified detail message and root cause.

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the `RepositoryException.getMessage()` method.
  `rootCause` - root failure cause

#### InvalidItemStateException

    public InvalidItemStateException(java.lang.Throwable rootCause)

Constructs a new instance of this class with the specified root cause.

Parameters:
  `rootCause` - root failure cause

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.